Show: Inherited Protected Private Deprecated

# Lang Class

Defined in: `src/ui/react/src/oop/lang.js:4`

Provides core language utilities.

## Index

### Methods

- isArray static
- isBoolean static
- isFunction static
- isNull static
- isNumber static
- isObject static
- isString static
- mix static
- toInt static

## Methods

### `isArray`

(

- `value`

)
Boolean static

Defined in `src/ui/react/src/oop/lang.js:10`

Check if the passed value is an array.

#### Parameters:

- `value` Any

  The value which have to be checked.

#### Returns:

Boolean:

True if the passed value is an array, false otherwise.

### `isBoolean`

(

- `value`

)
Boolean static

Defined in `src/ui/react/src/oop/lang.js:22`

Check if the passed value is boolean.

#### Parameters:

- `value` Any

  The value which have to be checked.

#### Returns:

Boolean:

True if the passed value is boolean, false otherwise.

### `isFunction`

(

- `value`

)
Boolean static

Defined in `src/ui/react/src/oop/lang.js:34`

Check if the passed value is a function.

#### Parameters:

- `value` Any

  The value which have to be checked.

#### Returns:

Boolean:

True if the passed value is a function, false otherwise.

### `isNull`

(

- `value`

)
Boolean static

Defined in `src/ui/react/src/oop/lang.js:46`

Check if the passed value is NULL.

#### Parameters:

- `value` Any

  The value which have to be checked.

#### Returns:

Boolean:

True if the passed value is NULL, false otherwise.

### `isNumber`

(

- `value`

)
Boolean static

Defined in `src/ui/react/src/oop/lang.js:58`

Check if the passed value is number.

#### Parameters:

- `value` Any

  The value which have to be checked.

#### Returns:

Boolean:

True if the passed value is number, false otherwise.

### `isObject`

(

- `value`

)
Boolean static

Defined in `src/ui/react/src/oop/lang.js:70`

Check if the passed value is an object

#### Parameters:

- `value` Any

  The value which have to be checked.

#### Returns:

Boolean:

True if the passed value is an object, false otherwise.

### `isString`

(

- `value`

)
Boolean static

Defined in `src/ui/react/src/oop/lang.js:84`

Check if the passed value is a string.

#### Parameters:

- `value` Any

  The value which have to be checked.

#### Returns:

Boolean:

True if the passed value is a string, false otherwise.

### `mix`

(

- `receiver`
- `supplier`

)
Object static

Defined in `src/ui/react/src/oop/lang.js:96`

Adds all properties from the supplier to the receiver. The function will add all properties, not only these owned by the supplier.

#### Parameters:

- `receiver` Object

  The object which will receive properties.

- `supplier` Object

  The object which provides properties.

#### Returns:

Object:

The modified receiver.

### `toInt`

(

- `value`

)
Integer static

Defined in `src/ui/react/src/oop/lang.js:116`

Converts value to Integer.

#### Parameters:

- `value` Any

  The value which have to be converted to Integer.

#### Returns:

Integer:

The converted value.